CHECK_DISK_SIZE_CHAN(9)

NAME
check_disk_size_change - checks for disk size change and adjusts bdev size.

SYNOPSIS

void check_disk_size_change(struct gendisk * disk, struct block_device * bdev);

ARGUMENTS

disk
    struct gendisk to check

bdev
    struct bdev to adjust.

DESCRIPTION

This routine checks to see if the bdev size does not match the disk size and adjusts it if it differs.

COPYRIGHT